Summary: NFS server implementation for Linux
Name: linux-nfs
Version: 0.4.21
Release: 1
Source0: linux-nfs-0.4.21.tar.gz
Source1: nfs.init
Patch: linux-nfs-config.patch
Copyright: GPL
Group: Networking/Daemons
Buildroot: /tmp/nfs-root
Requires: portmap

%description
This  package  contains  a greatly revised NFS implementation for
Linux along with the necessary daemons and utilities.  There  are
still several features missing that I'd want to include, and the
re are some recent improvements to the Linux  NFS  kernel  client
not reflected here (notably the attrtimeo fix).
NOTE!  You've  got  to have either patched or development (2.1.x)
kernel, to use this package.

%package clients
Summary: client apps for use with remote NFS servers
Group: Networking/Admin

%description clients
This package contains client programs that interact with NFS ser
vers. It is not needed to mount NFS volumes.  Includes showmount,
which  can be used to show exported and mounted  filesystems  and
nhfsstone   (pronounced  n-f-s-stone, the "h" is silent) NFS load
generating program.

%changelog

* Tue Aug 12 1997 Dawid Kuroczko <dk@ssw.krakow.pl>

- Used nfs-server-2.2beta26-1 srpm to build linux-nfs-0.4.21-1.
- Used nfs-server's rc script section.
- This package uses linux-nfs, requires patched or devel (2.1.x) kernel.

%prep
%setup
%patch -p1

%build
make OPT="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc,bin,usr/bin,usr/sbin,usr/man/man1,usr/man/man5,usr/man/man8}

export RPM_BUILD_ROOT="$RPM_BUILD_ROOT"
make install
make installman

install -o root -g root -m 755 utils/nhfsstone/nhfsgraph $RPM_BUILD_ROOT/usr/bin/nhfsgraph
install -o root -g root -m 755 utils/nhfsstone/nhfsnums $RPM_BUILD_ROOT/usr/bin/nhfsnums
install -o root -g root -m 755 utils/nhfsstone/nhfsrun $RPM_BUILD_ROOT/usr/bin/nhfsrun
install -o root -g root -m 644 utils/nhfsstone/nhfsstone.1 $RPM_BUILD_ROOT/usr/man/man1/nhfsstone.1

for d in 0 1 2 3 5 6; do
	mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc$d.d
done
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d

touch $RPM_BUILD_ROOT/etc/exports
chmod 644 $RPM_BUILD_ROOT/etc/exports
install $RPM_SOURCE_DIR/nfs.init $RPM_BUILD_ROOT/etc/rc.d/init.d/nfs

for f in 0 1 2 6; do
	ln -sf ../init.d/nfs $RPM_BUILD_ROOT/etc/rc.d/rc$f.d/K20nfs
done
for f in 3 5; do
	ln -sf ../init.d/nfs $RPM_BUILD_ROOT/etc/rc.d/rc$f.d/S60nfs
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc ChangeLog KNOWNBUGS README README-ITAR THANKS TODO linux-nfs.lsm
%config /etc/exports
%config /etc/rc.d/init.d/nfs
%config /etc/rc.d/rc0.d/K20nfs
%config /etc/rc.d/rc1.d/K20nfs
%config /etc/rc.d/rc2.d/K20nfs
%config /etc/rc.d/rc3.d/S60nfs
%config /etc/rc.d/rc5.d/S60nfs
%config /etc/rc.d/rc6.d/K20nfs
/usr/sbin/exportfs
/usr/sbin/nfsstat
/usr/sbin/rpc.mountd
/usr/sbin/rpc.nfsd
/usr/sbin/rpc.rquotad
/usr/sbin/rpc.statd
#/usr/man/man5/exports.5
/usr/man/man8/exportfs.8
/usr/man/man8/nfsstat.8
/usr/man/man8/rquotad.8
/usr/man/man8/rpc.rquotad.8
/var/lib/nfs/xtab

%files clients
/usr/sbin/showmount
/usr/man/man8/showmount.8
/usr/sbin/nhfsstone
/usr/man/man1/nhfsstone.1
